<?php

namespace QUI\FRS\Exceptions;

use QUI;

class InvalidJwtToken extends QUI\Exception
{
    /**
     * @param string|null $message
     * @param int|null $code
     * @param mixed[] $context
     */
    public function __construct(?string $message = null, ?int $code = 401, array $context = [])
    {
        // kill session
        QUI::getSession()?->destroy();

        $message = 'Invalid JWT Token';
        $code = 401;

        parent::__construct($message, $code, $context);
    }
}
