(function() {
    console.log('init jwt tokens');
// global jwt-Token form meta tag
    const MetaNode = document.querySelector('meta[name="jwt-token"]');

// JWT Token for Fetch-API
    const originalFetch = window.fetch;
    window.fetch = function(url, options = {}) {
        options.headers = options.headers || {};
        options.headers['X-Jwt-Token'] = MetaNode.content;
        return originalFetch(url, options);
    };


    // JWT Token for  XMLHttpRequest
    const originalXHR = window.XMLHttpRequest.prototype.send;

    window.XMLHttpRequest.prototype.send = function(method, url, async, user, password) {
        const originalOnload = this.onload;

        this.onload = function(event) {
            let result;

            const response = this.responseText;
            const start = 9;
            const end = response.length - 10;

            if (!response.match('<quiqqer>') || !response.match('</quiqqer>')) {
                if (originalOnload) {
                    originalOnload.call(this, event);
                }

                return;
            }

            try {
                result = JSON.decode(response.substring(start, end));
            } catch (e) {
                result = eval('(' + response.substring(start, end) + ')');
            }

            if (typeof result.Jwt !== 'undefined') {
                MetaNode.content = result.Jwt;
            }

            if (originalOnload) {
                originalOnload.call(this, event);
            }
        };

        this.setRequestHeader('X-Jwt-Token', MetaNode.content);
        return originalXHR.apply(this, arguments);
    };

    /*
        if (typeof require === 'function') {
            require(['MooToolsCore'], () => {
                window.Request.prototype.options.headers['X-Jwt-Token'] = token;
            });
        }
        */
})();